<template>
  <section class="flex justify-center items-center">
    <v-avatar
      class="bg-gradient-to-b from-teal-400 to-cyan-500"
      size="x-large"
    >
      <span class="text-xl font-bold text-white select-none">
        {{ label }}
      </span>
    </v-avatar>
  </section>
</template>

<script setup lang="ts">
import { computed } from 'vue';

const props = defineProps<{ value: string }>();

const label = computed(() => {
  const words = props.value.split(' ');
  const targetWords = words.slice(0, 2);

  const letters = targetWords.map(word => word.slice(0, 1) || 'X');
  return letters.join('').toUpperCase();
});
</script>